Subject: Re: [PATCH 0/4] Allow building Git with Asciidoctor

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Oct 2014 13:41:31 -0700

"brian m. carlson" <[email-masked]> writes:

> This series is designed to implement the changes necessary to build Git
> using Asciidoctor instead of AsciiDoc.
>
> The first two patches are bug fixes.  Asciidoctor is stricter about
> title underline lengths (± 1 character instead of 2) and requires
> matching delimiter lengths[0].  They're needed regardless of whether the
> other two patches are accepted because git-scm.com uses Asciidoctor to
> render the documentation, so we might as well render it correctly.
>
> Even with these patches, Asciidoctor warns about everyday.txt and
> user-manual.txt.  I'm not sending patches for these right now because
> I've seen recent series including those and don't want to cause a
> merge conflict.

Sounds good.

> The second two patches implement some basic support for building with
> Asciidoctor.  The first of these moves some items into variables due to
> some differences between the AsciiDoc and Asciidoctor command lines.
> The user can then override these values when invoking make.
>
> The final patch adds support for the linkgit macro.  Asciidoctor uses
> Ruby extensions to implement macro support, unlike AsciiDoc, which uses
> a configuration file.

What I do not understand is that 3/4 lets you drop inclusion of
asciidoc.conf which contains a lot more than just linkgit:
definition.

For now I'll queue only the first two, which unquestionably take us
in the right direction.

Thanks.